Freeciv-3.2: unit_class Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
unit_class Struct Reference

`#include <unittype.h>`

## Data Fields

Unit_Class_id | item_number
struct name_translation | name
bool | ruledit_disabled
enum unit_move_type | move_type
int | min_speed
int | hp_loss_pct
int | non_native_def_pct
bv_unit_class_flags | flags
struct strvec * | helptext
struct { |
enum move_level land_move |
enum move_level sea_move |
int ferry_types |
} | adv |
struct { |
struct extra_type_list * refuel_extras |
struct extra_type_list * native_tile_extras |
struct extra_type_list * native_bases |
struct extra_type_list * bonus_roads |
struct extra_type_list * hiding_extras |
struct unit_class_list * subset_movers |
} | cache |

## Detailed Description

Definition at line 149 of file unittype.h.

## Field Documentation

## ◆ [struct]

struct { ... } unit_class::adv

Referenced by adv_data_phase_init(), count_my_units(), and dai_choose_attacker_air().

## ◆ bonus_roads

struct extra_type_list* unit_class::bonus_roads

Definition at line 171 of file unittype.h.

Referenced by unit_classes_free(), and unit_classes_init().

## ◆ [struct]

struct { ... } unit_class::cache

Referenced by is_possible_base_fuel(), tile_has_refuel_extra(), unit_classes_free(), and unit_classes_init().

## ◆ ferry_types

int unit_class::ferry_types

Definition at line 164 of file unittype.h.

## ◆ flags

bv_unit_class_flags unit_class::flags

Definition at line 157 of file unittype.h.

Referenced by handle_ruleset_unit_class().

## ◆ helptext

struct strvec* unit_class::helptext

Definition at line 159 of file unittype.h.

Referenced by handle_ruleset_unit_class(), unit_classes_free(), and unit_classes_init().

## ◆ hiding_extras

struct extra_type_list* unit_class::hiding_extras

Definition at line 172 of file unittype.h.

Referenced by unit_classes_free(), and unit_classes_init().

## ◆ hp_loss_pct

int unit_class::hp_loss_pct

Definition at line 155 of file unittype.h.

Referenced by handle_ruleset_unit_class().

## ◆ item_number

Unit_Class_id unit_class::item_number

Definition at line 150 of file unittype.h.

Referenced by unit_classes_init().

## ◆ land_move

enum move_level unit_class::land_move

Definition at line 162 of file unittype.h.

Referenced by dai_choose_attacker_air().

## ◆ min_speed

int unit_class::min_speed

Definition at line 154 of file unittype.h.

Referenced by handle_ruleset_unit_class(), and utype_move_rate().

## ◆ move_type

enum unit_move_type unit_class::move_type

Definition at line 153 of file unittype.h.

## ◆ name

struct name_translation unit_class::name

Definition at line 151 of file unittype.h.

Referenced by handle_ruleset_unit_class().

## ◆ native_bases

struct extra_type_list* unit_class::native_bases

Definition at line 170 of file unittype.h.

Referenced by unit_classes_free(), and unit_classes_init().

## ◆ native_tile_extras

struct extra_type_list* unit_class::native_tile_extras

Definition at line 169 of file unittype.h.

Referenced by unit_classes_free(), and unit_classes_init().

## ◆ non_native_def_pct

int unit_class::non_native_def_pct

Definition at line 156 of file unittype.h.

Referenced by handle_ruleset_unit_class().

## ◆ refuel_extras

struct extra_type_list* unit_class::refuel_extras

Definition at line 168 of file unittype.h.

Referenced by is_possible_base_fuel(), tile_has_refuel_extra(), unit_classes_free(), and unit_classes_init().

## ◆ ruledit_disabled

bool unit_class::ruledit_disabled

Definition at line 152 of file unittype.h.

Referenced by unit_classes_init().

## ◆ sea_move

enum move_level unit_class::sea_move

Definition at line 163 of file unittype.h.

Referenced by dai_choose_attacker_air(), and kill_something_with().

## ◆ subset_movers

struct unit_class_list* unit_class::subset_movers

Definition at line 173 of file unittype.h.

Referenced by unit_classes_free(), and unit_classes_init().